# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:data_source_for_automatic_migration, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The data source used by servers in the cluster during migration. (You must configure each Migratable Server within the cluster to use this data source.)

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         data_source_for_automatic_migration => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:data_source_for_automatic_migration']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('DataSourceForAutomaticMigration/')
end
