# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:using_custom_cluster_configuration_file, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
   Specifies whether you are using a custom external Coherence cluster configuration file.

  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         using_custom_cluster_configuration_file => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:using_custom_cluster_configuration_file']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('UsingCustomClusterConfigurationFile')
end
