# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:machine, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
 The WebLogic Server host computer (machine) on which this server is meant to run.    If you want to use a Node Manager to start this server, you must assign the server to a machine and you must configure the machine for the Node Manager.    You cannot change this value if a server instance is already running.

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         machine => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_server:machine']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('Machine')
end
