# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:machine, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The machine of the server.

  Here is an example on how to use this:

      wls_coherence_server{ 'my_coherence_server':
        ...
        machine => 'machine_1',
        ...
      }

  DESC

  data_type('Optional[String]')

  maps_to('Machine/')
end

child_of(:wls_machine, :machine) { "#{domain}/#{machine}" }
