# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:connectioncreationretryfrequency, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The number of seconds between attempts to establish connections to the database.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCConnectionPoolParams/%<datasource_name>s/ConnectionCreationRetryFrequencySeconds')
end
