# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:fanenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Enables the data source to subscribe to and process Oracle FAN events.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  defaultto '0'

  maps_to('JDBCResource/%<datasource_name>s/JDBCOracleParams/%<datasource_name>s/FanEnabled') { 0 }
end
