# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jndinames, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-DESC
    The datasource jndi names.

  DESC

  data_type('Optional[Array[String]]')

  maps_to('JDBCResource/%<datasource_name>s/JDBCDataSourceParams/%<datasource_name>s/JNDINames')

  on_apply do
    apply_paths_with_array(resource.jndinames)
  end
end

def jndinames
  self[:jndinames] ? self[:jndinames].join(',') : ''
end
