# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  desc <<-DESC
    The datasource password.

    Usage :

        wls_datasource { ....:
          ...
          password => 'clear_text_password',
          ...
        }

    The password string is passed to WebLogic for encryption and then stored in the domain.

  DESC

  data_type('Optional[String]')

  maps_to('JDBCResource/%<datasource_name>s/JDBCDriverParams/%<datasource_name>s/Password')
end
