# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:rowprefetchenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Enables the data source to prefetch rows.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCDataSourceParams/%<datasource_name>s/RowPrefetch')
end
