# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotate_logon_startup, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  log rotate Logon at startup of a domain or server.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('Log/%<domain_name>s/RotateLogOnStartup')
end
