# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:object_type) do
  include EasyType

  desc <<-DESC
    The object_type of a Foreign Server object

  DESC

  munge(&:to_sym)

  newvalues('destination', 'connectionfactory')

  to_translate_to_resource do |raw_resource|
    raw_resource[:object_type]
  end

  on_modify do
    fail 'object_type is not changeable.'
  end

  data_type("Optional[Enum['destination', 'connectionfactory']]")
end
