# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:initial_context_factory, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The initial context factory name for this JMS bridge destination.

  An example on how to use this:

      wls_jms_bridge_destination {a_wls_jms_bridge_destination :
         ...
         initial_context_factory => 'weblogic.jndi.WLInitialContextFactory'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_bridge_destination:initial_context_factory']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('InitialContextFactory')
end
