# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:policyexpression) do
  include EasyType

  desc 'A string representation of an security authorization policy'
  data_type('Optional[String]')
  # rubocop:disable Naming/MethodParameterName
  def insync?(is)
    # rubocop:enable Naming/MethodParameterName
    return true if is.to_s == 'absent' && should == 'absent'

    super
  end

  to_translate_to_resource do |raw_resource|
    module_name = raw_resource[:jms_module_name]
    domain      = raw_resource[:domain]
    wls_config  = Puppet_X::EnterpriseModules::WebLogic::Tree.new(domain)
    wls_config.get_security_policy('JMSModule', module_name)
  end

  on_apply do
    wls_config = Puppet_X::EnterpriseModules::WebLogic::Tree.new(resource.domain)
    wls_config.set_security_policy('JMSModule', resource.jms_module_name, '', value)
    nil
  end
end
