# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:consumptionpaused, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies whether consumption is paused on a destination at startup.  <ul> <li>default If a JMS template is specified, then this value inherits the template's Consumption Paused At Startup value. If no JMS template is configured for the destination, then the Default value is equivalent to false.</li>  <li>false Consumption Paused is explicitly disabled for this destination. </li>  <li>true Consumption Paused is explicitly turned on for this destination.</li> </ul>

  An example on how to use this:

      wls_jms_queue {a_wls_jms_queue :
         ...
         consumptionpaused => 1,
         ...
      }

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('ConsumptionPausedAtStartup')
end
