# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:forwarddelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The number of seconds after which a uniform distributed queue member with no consumers will wait before forwarding its messages to other uniform distributed queue members that do have consumers.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('ForwardDelay') {}
end
