# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:destination_keys, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-DESC
  The destination keys of  topic.

  DESC

  data_type('Optional[Variant[String[1],Array[String]]]')

  maps_to('DestinationKeys')

  on_apply do
    apply_paths_with_array(value.join(','))
  end
end
