# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_rotation_dir, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The directory where the rotated log files will be stored. By default the rotated files are stored in the same directory where the log file is stored.

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         log_file_rotation_dir => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:log_file_rotation_dir']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('JMSMessageLogFile/%<jmsserver_name>s/LogFileRotationDir')
end
