# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:store_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean
  desc <<-DESC
    Specifies whether message persistence is supported for this JMS server. only for wls 10.3

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('StoreEnabled') { nil }

  on_apply do
    # rubocop:disable Style/RedundantBegin
    begin
      # rubocop:enable Style/RedundantBegin
      apply_paths(value)
    rescue RuntimeError
      Puppet.warning 'store_enabled probably not supported on the WebLogic version'
    end
  end
end
