# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.dirname(__FILE__)
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../../../easy_type/lib')
require 'puppet/parameter/boolean'
require 'puppet_x/enterprisemodules/weblogic/core'
# doc
module Puppet
  Type.newtype(:wls_log_filter) do
    include Puppet_X::EnterpriseModules::WebLogic::Type

    desc <<-DESC
    This resource allows you to manage WebLogic log filters

    DESC

    bean_type('LogFilter')

    ensurable
    parameter :domain
    parameter :name
    parameter :filter_name

    parameter :timeout

    property :filter_expression

    add_title_attributes(:filter_name)
  end
end
