# frozen_string_literal: true

newproperty(:dispatch_policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
   The name of the Work Manager to use for this Concurrent Managed Ojbect (CMO). If a Work Manager is not specified, the default one is used.

  An example on how to use this:

      wls_managed_executor_service_template {a_wls_managed_executor_service_template :
         ...
         dispatch_policy => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('DispatchPolicy')
end
