# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reconnectdelaymax, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The longest time, in seconds, that a messaging bridge instance waits between one failed attempt to connect to the source or target, and the next retry.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('ReconnectDelayMaximum')
end
