# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:hosting_server, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Returns the name of the server that currently hosts the singleton service.

  An example on how to use this:

      wls_migratable_target {a_wls_migratable_target :
         ...
         hosting_server => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_migratable_target:hosting_server']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('HostingServer')
end
