# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:algorithmtype, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The algorithm determines the connection request processing for the multi data source

  DESC

  newvalues('absent', 'Load-Balancing', 'Failover')

  maps_to('JDBCResource/%<multi_datasource_name>s/JDBCDataSourceParams/%<multi_datasource_name>s/AlgorithmType')

  data_type("Optional[Enum['absent', 'Load-Balancing','Failover']]")
end
