# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:datasources, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::ArrayProperty

  desc <<-DESC
  The datasources that are part of the multi datasource

  DESC

  data_type('Optional[Variant[String ,Array[String]]]')

  maps_to('JDBCResource/%<multi_datasource_name>s/JDBCDataSourceParams/%<multi_datasource_name>s/DataSourceList')

  on_apply do
    apply_paths(value.join(','))
  end
end
