# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:patch_type) do
  include EasyType

  desc <<-DESC
    The type of patch. Can be either single or sbp.

    Recenly Oracle has started to distribute the PSU as spb patches. Opatch zip files
    contain one patch most of the times. While spb patches contain a set of patches.

    With this parameter, you tell wls_opatch what kind of zip file it is.#{' '}

    When you specify `spb` as type, you also need to specify the `sub_patches` parameter
    to tell opatch which of the patches in the zip file you want Opatch to look for and ensure.


  DESC

  data_type("Enum['single','spb', 'spb-instance']")
  defaultto 'single'
end
