# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:persistentstore, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The persistentstore name.

  DESC

  data_type('Optional[String]')

  maps_to('PersistentStore/')

  on_apply do
    case resource[:persistentstoretype].to_s
    when 'FileStore'
      apply_paths_with_reference('/FileStores', value)
    when 'JDBCStore'
      apply_paths_with_reference('/JDBCStores', value)
    else
      fail "internal error invalid persistentstoretype #{resource[:persistentstoretype]}"
    end
  end
end
