# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nonpersistentqos, :parent => Puppet::Parameter::WlsProperty) do
  extend SAFImportedDestinationObjectProperty

  desc <<-DESC
  The QoS non persistent of the SAF imported destination object

  DESC

  newvalues('absent', 'Exactly-Once', 'At-Least-Once', 'At-Most-Once')

  maps_to('NonPersistentQos')
  data_type("Optional[Enum['absent', 'Exactly-Once', 'At-Least-Once', 'At-Most-Once']]")
end
