# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reply_to_saf_remote_context_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the SAF Remote Context Name used by the replyTo destination in the remote cluster or server.

  An example on how to use this:

      wls_saf_remote_context {a_wls_saf_remote_context :
         ...
         reply_to_saf_remote_context_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_remote_context:reply_to_saf_remote_context_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ReplyToSAFRemoteContextName')
end
