# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:client_certificate_enforced, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Indicates whether or not clients must present digital certificates from a trusted certificate authority to WebLogic Server.

  An example on how to use this:

      ...{...:
         ...
         clientcertificateenforced => 1,
         ...
      }

  Help text generated from MBEan text.


  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('SSL/%<server_name>s/ClientCertificateEnforced')
end
