# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:preferred_secondary_group, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Defines secondary clustered instances considered for hosting replicas of the primary HTTP session states created on the server.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         preferred_secondary_group => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:preferred_secondary_group']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('PreferredSecondaryGroup')
end
