# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_template, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The template used to configure this server.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         server_template => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:server_template']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ServerTemplate')
end
