# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jsseenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Determines whether the SSL implementation in Weblogic Server is JSSE based.

  An example on how to use this:

      ...{...:
         ...
         jsseenabled => 1,
         ...
      }

  Help text generated from MBEan text.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('SSL/%<server_name>s/JSSEEnabled')
end
