# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:useservercerts, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Sets whether the client should use the server certificates/key as the client identity when initiating an outbound connection over https.

  An example on how to use this:

      ...{...:
         ...
         useservercerts => 1,
         ...
      }

  Help text generated from MBEan text.


  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to 'SSL/%<server_name>s/UseServerCerts'
end
