# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:arguments, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The server arguments of the server

  DESC

  maps_to('ServerStart/%<template_name>s/Arguments')

  def should=(values)
    values = values.flatten.join("\n") if values.is_a?(Array)
    @should = values
  end

  def should
    return nil unless defined?(@should)

    @should
  end

  # rubocop:disable Naming/MethodParameterName
  def insync?(is)
    # rubocop:enable Naming/MethodParameterName
    is == @should
  end
end
