# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messaging_bridge_thread_pool_size, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Returns the size of the messaging bridge execute thread pool.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         messaging_bridge_thread_pool_size => '5'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:messaging_bridge_thread_pool_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('MessagingBridgeThreadPoolSize')
end
