# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:num_of_retries_before_msi_mode, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Get the number of retries to contact admin server, before starting in Managed Server Independence Mode

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         num_of_retries_before_msi_mode => '3'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:num_of_retries_before_msi_mode']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('NumOfRetriesBeforeMSIMode')
end
