# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:socket_readers, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The number of socket reader threads

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         socket_readers => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:socket_readers']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SocketReaders')
end
