# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:millis_to_sleep_between_attempts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-DESC
    The amount of milliseconds to wait between attempts to migrate this singleton service

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  defaultto 300_000

  maps_to('MillisToSleepBetweenAttempts')
end
