# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:virtual_host_names, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The list of host names, separated by line breaks, for which this virtual host will serve requests.

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         virtual_host_names => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:virtual_host_names']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('VirtualHostNames')
end
