# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:port_offset, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The port offset for this VirtualTarget. If set to the minimum value, the port offset is not set.

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         port_offset => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:port_offset']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('PortOffset')
end
