# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:portoffset, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The port offset for this VirtualTarget. If set to the minimum value, the port offset is not set.

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         portoffset => 10
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('PortOffset')
end
